#pragma once
#include "MyFile.h"

#define INPUT_SYMBOL_NULL 1
#define INPUT_SYMBOL_N 2
#define INPUT_SYMBOL_R 4
#define INPUT_SYMBOL_EOLN (INPUT_SYMBOL_R|INPUT_SYMBOL_N|INPUT_SYMBOL_NULL)
#define INPUT_FLAG_ABSATZ 8

class CBKFile : public CMyFile
{

	public:
		CBKFile(const CString &strName);
		virtual ~CBKFile(void);

		virtual BOOL Open(BOOL bWrite); //открытие файла, имя которого задано в конструкторе
		virtual WCHAR ReadChar();
		virtual BOOL WriteChar(WCHAR ch);
};

